Lisp tạo layer trong autocad và cách quản lý đơn giản nhất

Lisp tạo layer trong autocad và cách quản lý đơn giản nhất

Tạo sao nên dùng Lisp tạo layer trong cad?

Layer trong autocad là một trong ba công cụ mấu chốt mà các bạn cần quản lý tốt nếu như muốn trở thành một cao thủ về cad. Đối với một kỹ sư thiết kế, trước khi vẽ bất kỳ một hình vẽ nào chúng ta đều cần thiết lập layer. Có nhiều cách để thực hiện công việc này, bạn có thể tạo mới, có thể sử dụng Template (File mẫu),… hoặc có thể sử dụng lisp tạo layer trong cad như mình hướng dẫn sau đây.

Các bạn kích vào đây để download  về dùng nhé!

Cách dùng như sau:

Bước 1: Tải lisp layer về máy sau đó tiến hành apload vào cad;

Bước 2: Dùng lênh LOP để gọi ra tất cả các layer cần dùng cho một bản vẽ kết cấu.

Lisp tạo layer trong autocad và cách quản lý đơn giản nhất
Lisp tạo layer trong autocad và cách quản lý đơn giản nhất

Bước 3: Dùng lệnh gọi layer để vẽ theo bảng lệnh tắt sau:

0: Gọi layer “0”

00: Gọi layer defpoints

1: Gọi layer “KC-Thay”

2: Gọi layer “KC-Manh”

3: Gọi layer “KC-Truc”

5: Gọi layer “KC-Mb”

4: Gọi layer “KC-Dim”

6: Gọi layer “KC-Khuat”

7: Gọi layer “KC-Betong”

8: Gọi layer “KC-Thepdai”

9: Gọi layer “KC-Thep”

11: Gọi layer “KC-Hatch”

22: Gọi layer “KC-Pc”

33: Gọi layer “KC-Pile”

44: Gọi layer “KC-Tencaukien”

55: Gọi layer “KC-Opening”

66: Gọi layer “KC-Text”

77: Gọi layer “KC-Chidan”

88: Gọi layer “KC-Cotthep”

Dĩ nhiên các bạn có thể bỏ qua bước 2 để chuyển qua bước 3 nếu muốn gọi từng loại layer ra một.

Có một vấn đề xảy ra ở đây, đó là lisp tạo layer trong cad này đang tạo ra các loại layer dùng cho bản vẽ kết cấu. Tuy nhiên các bạn đừng buồn vì ngay sau đây mình sẽ hướng dẫn các bạn chuyển lisp layer kết cấu này về lisp layer theo đúng bộ môn mà các bạn đang theo đuổi bằng cách đơn giản sau:

Các bạn tiến hành tìm vào folder chứa lisp layer vừa mới download về và open lisp này lên, hình ảnh co strong lisp có đoạn như sau:

(defun c:0  () (command “layer” “m” “0” “”))

(defun c:00  () (command “layer” “m” “defpoints” “”))

(defun c:1  () (command “layer” “m” “KC-Thay” “c” “7” “” “”))

(defun c:2  () (command “layer” “m” “KC-Manh” “c” “8” “” “”))

(defun c:3  () (command “layer” “m” “KC-Truc” “c” “13” “” “l” “CENTER” “” “”))

(defun c:5  () (command “layer” “m” “KC-Mb” “c” “8” “” “”))

(defun c:4  () (command “layer” “m” “KC-Dim” “c” “8” “” “”))

(defun c:6  () (command “layer” “m” “KC-Khuat” “c” “9” “” “l” “hidden” “” “”))

(defun c:7  () (command “layer” “m” “KC-Betong” “c” “6” “” “”))

(defun c:8  () (command “layer” “m” “KC-Thepdai” “c” “6” “” “”))

(defun c:9  () (command “layer” “m” “KC-Thep” “c” “4” “” “”))

(defun c:11  () (command “layer” “m” “KC-Hatch” “c” “250” “” “”))

(defun c:22  () (command “layer” “m” “KC-Pc” “c” “7” “” “”))

(defun c:33  () (command “layer” “m” “KC-Pile” “c” “9” “” “”))

(defun c:44  () (command “layer” “m” “KC-Tencaukien” “c” “9” “” “”))

(defun c:55  () (command “layer” “m” “KC-Opening” “c” “2” “” “”))

(defun c:66  () (command “layer” “m” “KC-Text” “c” “31” “” “”))

(defun c:77  () (command “layer” “m” “KC-Chidan” “c” “9” “” “”))

(defun c:88  () (command “layer” “m” “KC-Cotthep” “c” “8” “” “”))

Ở đây sau mỗi cụm từ “defun c:” chính là lệnh tắt của lisp, các bạn có thể thay đổi lệnh theo ý mình muốn tại đây nhé!

Ở các dòng cos tiếp theo ví dụ có đoạn viết (command “layer” “m” “KC-Text” “c” “31” “” “”)) ở đây là dòng cos viết để chỉ định tạo ra layer ” KC-Text” và vì vậy các bạn cũng có thể sửa nó thành ” KT-Text” hay ” CK-Text hay ” Dien-Text“,” Nuoc-Text” …Tương tự như vậy đối với các vị trí khác trong cos của lisp, nếu các bạn thấy vẫn còn có chỗ để ” KC-Text thì hãy sửa thành layer ” KT-Text” hay ” CK-Text hay ” Dien-Text“,” Nuoc-Text… như mình muốn nhé!

Bây giờ các bạn có thể khởi động lại cad hoặc apload lại và dùng bình thường nha!

Bài viết này mình kết thúc ở đây, nếu như các bạn vẫn chưa làm được, các bạn có thể cmt ở bên dưới, mình sẽ giúp các bạn.

Chúc các bạn thành công!

Bài viết được chia sẻ bởi autocad123.vn

Có thể bạn quan tâm:

Leave a Reply

Your email address will not be published. Required fields are marked *